### Function

# GLib Hook find_func

#### Declaration [src]

    GHook*
    g_hook_find_func (
      GHookList* hook_list,
      gboolean need_valids,
      gpointer func
    )

#### Description [src]

Finds a `GHook` in a `GHookList` with the given function.

This function is not directly available to language bindings.

#### Parameters

`hook_list`

  Type: `GHookList`

  A `GHookList`.

  The data is owned by the caller of the function.

`need_valids`

  Type: `gboolean`

  `TRUE` if `GHook` elements which have been destroyed should be skipped.

`func`

  Type: `gpointer`

  The function to find.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GHook`

The `GHook` with the given `func` or `NULL` if no matching `GHook` is found.

The data is owned by the called function.